package intrinsic.mx.events;

public class FlexMouseEvent extends intrinsic.flash.events.MouseEvent {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String MOUSE_DOWN_OUTSIDE = "mouse_down_outside";
	public static final String VERSION = "version";
	public static final String MOUSE_WHEEL_OUTSIDE = "mouse_wheel_outside";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FlexMouseEvent() {
}

public FlexMouseEvent(String arg0) {
}

public FlexMouseEvent(String arg0, boolean arg1) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7, boolean arg8) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7, boolean arg8, boolean arg9) {
}

public FlexMouseEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4, intrinsic.flash.display.InteractiveObject arg5, boolean arg6, boolean arg7, boolean arg8, boolean arg9, int arg10) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
